Skip to navigation

List Resource Snapshots

Retrieves a list of Eon snapshots for the given resource.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"

ID of the project the resource is in. You can get your project ID from the API Credentials page in your global management console.

idstringRequiredformat: "uuid"

Eon-assigned ID of the resource whose Eon snapshots you want to retrieve.

Query parameters

pageTokenstringOptional
Cursor that points to the first record of the next page of results. Get this value from the previous response. To preserve the results in the same order, use the same sorting and filters in the first request as all subsequent requests.
pageSizeintegerOptional>=1Defaults to 50
Maximum number of items to return in the response.

Request

Filter options.
filtersobjectOptional
Filter conditions. If omitted, no filtering is applied.
sortslist of objectsOptional
List of sorting options. Sorting is applied in the order passed in the list.

Response

Snapshots retrieved.
snapshotslist of objects
List of Eon snapshots.
totalCountinteger
The total number of Eon snapshots.
nextTokenstringOptional
Cursor that points to the first record of the next page of results. Pass this value in the next request.

Errors

404
Not Found Error